# $Id: joomla.sql 6072 2006-12-20 02:09:09Z robs $

#
# Table structure for table `#__banner`
#

CREATE TABLE `#__banner` (
  `bid` int(11) NOT NULL auto_increment,
  `cid` int(11) NOT NULL default '0',
  `type` varchar(10) NOT NULL default 'banner',
  `name` varchar(50) NOT NULL default '',
  `imptotal` int(11) NOT NULL default '0',
  `impmade` int(11) NOT NULL default '0',
  `clicks` int(11) NOT NULL default '0',
  `imageurl` varchar(100) NOT NULL default '',
  `clickurl` varchar(200) NOT NULL default '',
  `date` datetime default NULL,
  `showBanner` tinyint(1) NOT NULL default '0',
  `checked_out` tinyint(1) NOT NULL default '0',
  `checked_out_time` datetime NOT NULL default '0000-00-00 00:00:00',
  `editor` varchar(50) default NULL,
  `custombannercode` text,
  PRIMARY KEY  (`bid`),
  KEY `viewbanner` (`showBanner`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

#
# Table structure for table `#__bannerclient`
#

CREATE TABLE `#__bannerclient` (
  `cid` int(11) NOT NULL auto_increment,
  `name` varchar(60) NOT NULL default '',
  `contact` varchar(60) NOT NULL default '',
  `email` varchar(60) NOT NULL default '',
  `extrainfo` text NOT NULL,
  `checked_out` tinyint(1) NOT NULL default '0',
  `checked_out_time` time default NULL,
  `editor` varchar(50) default NULL,
  PRIMARY KEY  (`cid`)
) TYPE=MyISAM;

#
# Table structure for table `#__bannerfinish`
#

CREATE TABLE `#__bannerfinish` (
  `bid` int(11) NOT NULL auto_increment,
  `cid` int(11) NOT NULL default '0',
  `type` varchar(10) NOT NULL default '',
  `name` varchar(50) NOT NULL default '',
  `impressions` int(11) NOT NULL default '0',
  `clicks` int(11) NOT NULL default '0',
  `imageurl` varchar(50) NOT NULL default '',
  `datestart` datetime default NULL,
  `dateend` datetime default NULL,
  PRIMARY KEY  (`bid`)
) TYPE=MyISAM;

#
# Table structure for table `#__categories`
#

CREATE TABLE `#__categories` (
  `id` int(11) NOT NULL auto_increment,
  `parent_id` int(11) NOT NULL default 0,
  `title` varchar(50) NOT NULL default '',
  `name` varchar(255) NOT NULL default '',
  `image` varchar(100) NOT NULL default '',
  `section` varchar(50) NOT NULL default '',
  `image_position` varchar(10) NOT NULL default '',
  `description` text NOT NULL,
  `published` tinyint(1) NOT NULL default '0',
  `checked_out` int(11) unsigned NOT NULL default '0',
  `checked_out_time` datetime NOT NULL default '0000-00-00 00:00:00',
  `editor` varchar(50) default NULL,
  `ordering` int(11) NOT NULL default '0',
  `access` tinyint(3) unsigned NOT NULL default '0',
  `count` int(11) NOT NULL default '0',
  `params` text NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `cat_idx` (`section`,`published`,`access`),
  KEY `idx_section` (`section`),
  KEY `idx_access` (`access`),
  KEY `idx_checkout` (`checked_out`)
) TYPE=MyISAM;

#
# Table structure for table `#__components`
#

CREATE TABLE `#__components` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(50) NOT NULL default '',
  `link` varchar(255) NOT NULL default '',
  `menuid` int(11) unsigned NOT NULL default '0',
  `parent` int(11) unsigned NOT NULL default '0',
  `admin_menu_link` varchar(255) NOT NULL default '',
  `admin_menu_alt` varchar(255) NOT NULL default '',
  `option` varchar(50) NOT NULL default '',
  `ordering` int(11) NOT NULL default '0',
  `admin_menu_img` varchar(255) NOT NULL default '',
  `iscore` tinyint(4) NOT NULL default '0',
  `params` text NOT NULL,
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;

#
# Dumping data for table `#__components`
#

insert into `#__components` values('1','Banners','','0','0','','Banner Management','com_banners','0','js/ThemeOffice/component.png','0',''),
 ('2','Manage Banners','','0','1','option=com_banners','Active Banners','com_banners','1','js/ThemeOffice/edit.png','0',''),
 ('3','Manage Clients','','0','1','option=com_banners&task=listclients','Manage Clients','com_banners','2','js/ThemeOffice/categories.png','0',''),
 ('4','Web Links','option=com_weblinks','0','0','','Manage Weblinks','com_weblinks','0','js/ThemeOffice/globe2.png','0',''),
 ('5','Web Link Items','','0','4','option=com_weblinks','View existing weblinks','com_weblinks','1','js/ThemeOffice/edit.png','0',''),
 ('6','Web Link Categories','','0','4','option=categories&section=com_weblinks','Manage weblink categories','','2','js/ThemeOffice/categories.png','0',''),
 ('7','Contacts','option=com_contact','0','0','','Edit contact details','com_contact','0','js/ThemeOffice/user.png','1',''),
 ('8','Manage Contacts','','0','7','option=com_contact','Edit contact details','com_contact','0','js/ThemeOffice/edit.png','1',''),
 ('9','Contact Categories','','0','7','option=categories&section=com_contact_details','Manage contact categories','','2','js/ThemeOffice/categories.png','1',''),
 ('10','Front Page','option=com_frontpage','0','0','','Manage Front Page Items','com_frontpage','0','js/ThemeOffice/component.png','1',''),
 ('11','Polls','option=com_poll','0','0','option=com_poll','Manage Polls','com_poll','0','js/ThemeOffice/component.png','0',''),
 ('12','News Feeds','option=com_newsfeeds','0','0','','News Feeds Management','com_newsfeeds','0','js/ThemeOffice/component.png','0',''),
 ('13','Manage News Feeds','','0','12','option=com_newsfeeds','Manage News Feeds','com_newsfeeds','1','js/ThemeOffice/edit.png','0',''),
 ('14','Manage Categories','','0','12','option=com_categories&section=com_newsfeeds','Manage Categories','','2','js/ThemeOffice/categories.png','0',''),
 ('15','Login','option=com_login','0','0','','','com_login','0','','1',''),
 ('16','Search','option=com_search','0','0','','','com_search','0','','1',''),
 ('17','Syndicate','','0','0','option=com_syndicate&hidemainmenu=1','Manage Syndication Settings','com_syndicate','0','js/ThemeOffice/component.png','0',''),
 ('18','Mass Mail','','0','0','option=com_massmail&hidemainmenu=1','Send Mass Mail','com_massmail','0','js/ThemeOffice/mass_email.png','0','');
# --------------------------------------------------------

#
# Table structure for table `#__contact_details`
#

CREATE TABLE `#__contact_details` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(100) NOT NULL default '',
  `con_position` varchar(50) default NULL,
  `address` text,
  `suburb` varchar(50) default NULL,
  `state` varchar(20) default NULL,
  `country` varchar(50) default NULL,
  `postcode` varchar(10) default NULL,
  `telephone` varchar(25) default NULL,
  `fax` varchar(25) default NULL,
  `misc` mediumtext,
  `image` varchar(100) default NULL,
  `imagepos` varchar(20) default NULL,
  `email_to` varchar(100) default NULL,
  `default_con` tinyint(1) unsigned NOT NULL default '0',
  `published` tinyint(1) unsigned NOT NULL default '0',
  `checked_out` int(11) unsigned NOT NULL default '0',
  `checked_out_time` datetime NOT NULL default '0000-00-00 00:00:00',
  `ordering` int(11) NOT NULL default '0',
  `params` text NOT NULL,
  `user_id` int(11) NOT NULL default '0',
  `catid` int(11) NOT NULL default '0',
  `access` tinyint(3) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;

#
# Table structure for table `#__content`
#

CREATE TABLE `#__content` (
  `id` int(11) unsigned NOT NULL auto_increment,
  `title` varchar(100) NOT NULL default '',
  `title_alias` varchar(100) NOT NULL default '',
  `introtext` mediumtext NOT NULL,
  `fulltext` mediumtext NOT NULL,
  `state` tinyint(3) NOT NULL default '0',
  `sectionid` int(11) unsigned NOT NULL default '0',
  `mask` int(11) unsigned NOT NULL default '0',
  `catid` int(11) unsigned NOT NULL default '0',
  `created` datetime NOT NULL default '0000-00-00 00:00:00',
  `created_by` int(11) unsigned NOT NULL default '0',
  `created_by_alias` varchar(100) NOT NULL default '',
  `modified` datetime NOT NULL default '0000-00-00 00:00:00',
  `modified_by` int(11) unsigned NOT NULL default '0',
  `checked_out` int(11) unsigned NOT NULL default '0',
  `checked_out_time` datetime NOT NULL default '0000-00-00 00:00:00',
  `publish_up` datetime NOT NULL default '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL default '0000-00-00 00:00:00',
  `images` text NOT NULL,
  `urls` text NOT NULL,
  `attribs` text NOT NULL,
  `version` int(11) unsigned NOT NULL default '1',
  `parentid` int(11) unsigned NOT NULL default '0',
  `ordering` int(11) NOT NULL default '0',
  `metakey` text NOT NULL,
  `metadesc` text NOT NULL,
  `access` int(11) unsigned NOT NULL default '0',
  `hits` int(11) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `idx_section` (`sectionid`),
  KEY `idx_access` (`access`),
  KEY `idx_checkout` (`checked_out`),
  KEY `idx_state` (`state`),
  KEY `idx_catid` (`catid`),
  KEY `idx_mask` (`mask`)
) TYPE=MyISAM;

#
# Table structure for table `#__content_frontpage`
#

CREATE TABLE `#__content_frontpage` (
  `content_id` int(11) NOT NULL default '0',
  `ordering` int(11) NOT NULL default '0',
  PRIMARY KEY  (`content_id`)
) TYPE=MyISAM;

#
# Table structure for table `#__content_rating`
#

CREATE TABLE `#__content_rating` (
  `content_id` int(11) NOT NULL default '0',
  `rating_sum` int(11) unsigned NOT NULL default '0',
  `rating_count` int(11) unsigned NOT NULL default '0',
  `lastip` varchar(50) NOT NULL default '',
  PRIMARY KEY  (`content_id`)
) TYPE=MyISAM;

#
# Table structure for table `#__core_log_items`
#
# To be implemented

CREATE TABLE `#__core_log_items` (
  `time_stamp` date NOT NULL default '0000-00-00',
  `item_table` varchar(50) NOT NULL default '',
  `item_id` int(11) unsigned NOT NULL default '0',
  `hits` int(11) unsigned NOT NULL default '0'
) TYPE=MyISAM;

#
# Table structure for table `#__core_log_searches`
#
# To be implemented

CREATE TABLE `#__core_log_searches` (
  `search_term` varchar(128) NOT NULL default '',
  `hits` int(11) unsigned NOT NULL default '0'
) TYPE=MyISAM;

#
# Table structure for table `#__groups`
#

CREATE TABLE `#__groups` (
  `id` tinyint(3) unsigned NOT NULL default '0',
  `name` varchar(50) NOT NULL default '',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;

#
# Dumping data for table `#__groups`
#

INSERT INTO `#__groups` VALUES (0, 'Public');
INSERT INTO `#__groups` VALUES (1, 'Registered');
INSERT INTO `#__groups` VALUES (2, 'Special');
# --------------------------------------------------------

#
# Table structure for table `#__mambots`
#

CREATE TABLE `#__mambots` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(100) NOT NULL default '',
  `element` varchar(100) NOT NULL default '',
  `folder` varchar(100) NOT NULL default '',
  `access` tinyint(3) unsigned NOT NULL default '0',
  `ordering` int(11) NOT NULL default '0',
  `published` tinyint(3) NOT NULL default '0',
  `iscore` tinyint(3) NOT NULL default '0',
  `client_id` tinyint(3) NOT NULL default '0',
  `checked_out` int(11) unsigned NOT NULL default '0',
  `checked_out_time` datetime NOT NULL default '0000-00-00 00:00:00',
  `params` text NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `idx_folder` (`published`,`client_id`,`access`,`folder`)
) TYPE=MyISAM;

insert into `#__mambots` values('1','MOS Image','mosimage','content','0','-10000','1','1','0','0','0000-00-00 00:00:00',''),
 ('2','MOS Pagination','mospaging','content','0','10000','1','1','0','0','0000-00-00 00:00:00',''),
 ('3','Legacy Mambot Includer','legacybots','content','0','2','0','1','0','0','0000-00-00 00:00:00',''),
 ('4','SEF','mossef','content','0','4','1','0','0','0','0000-00-00 00:00:00',''),
 ('5','MOS Rating','mosvote','content','0','5','1','1','0','0','0000-00-00 00:00:00',''),
 ('6','Search Content','content.searchbot','search','0','1','1','1','0','0','0000-00-00 00:00:00',''),
 ('7','Search Weblinks','weblinks.searchbot','search','0','2','1','1','0','0','0000-00-00 00:00:00',''),
 ('8','Code support','moscode','content','0','3','0','0','0','0','0000-00-00 00:00:00',''),
 ('9','No WYSIWYG Editor','none','editors','0','0','1','1','0','0','0000-00-00 00:00:00',''),
 ('10','TinyMCE WYSIWYG Editor','tinymce','editors','0','0','1','1','0','0','0000-00-00 00:00:00','theme=advanced'),
 ('11','MOS Image Editor Button','mosimage.btn','editors-xtd','0','0','1','0','0','0','0000-00-00 00:00:00',''),
 ('12','MOS Pagebreak Editor Button','mospage.btn','editors-xtd','0','0','1','0','0','0','0000-00-00 00:00:00',''),
 ('13','Search Contacts','contacts.searchbot','search','0','3','1','1','0','0','0000-00-00 00:00:00',''),
 ('14','Search Categories','categories.searchbot','search','0','4','1','0','0','0','0000-00-00 00:00:00',''),
 ('15','Search Sections','sections.searchbot','search','0','5','1','0','0','0','0000-00-00 00:00:00',''),
 ('16','Email Cloaking','mosemailcloak','content','0','6','1','0','0','0','0000-00-00 00:00:00',''),
 ('17','GeSHi','geshi','content','0','7','0','0','0','0','0000-00-00 00:00:00',''),
 ('18','Search Newsfeeds','newsfeeds.searchbot','search','0','6','1','0','0','0','0000-00-00 00:00:00',''),
 ('19','Load Module Positions','mosloadposition','content','0','8','1','0','0','0','0000-00-00 00:00:00',''),
 ('23','RokZoom','rokzoom','content','0','0','1','0','0','0','0000-00-00 00:00:00',''),
 ('24','RunPHP','RunPHP','content','0','0','1','0','0','0','0000-00-00 00:00:00',''),
 ('25','CodePress','codepress','editors','0','0','1','0','0','0','0000-00-00 00:00:00','');
# --------------------------------------------------------

#
# Table structure for table `#__menu`
#

CREATE TABLE `#__menu` (
  `id` int(11) NOT NULL auto_increment,
  `menutype` varchar(25) default NULL,
  `name` varchar(100) default NULL,
  `link` text,
  `type` varchar(50) NOT NULL default '',
  `published` tinyint(1) NOT NULL default '0',
  `parent` int(11) unsigned NOT NULL default '0',
  `componentid` int(11) unsigned NOT NULL default '0',
  `sublevel` int(11) default '0',
  `ordering` int(11) default '0',
  `checked_out` int(11) unsigned NOT NULL default '0',
  `checked_out_time` datetime NOT NULL default '0000-00-00 00:00:00',
  `pollid` int(11) NOT NULL default '0',
  `browserNav` tinyint(4) default '0',
  `access` tinyint(3) unsigned NOT NULL default '0',
  `utaccess` tinyint(3) unsigned NOT NULL default '0',
  `params` text NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `componentid` (`componentid`,`menutype`,`published`,`access`),
  KEY `menutype` (`menutype`)
) TYPE=MyISAM;

insert into `#__menu` values('1','mainmenu','Home','index.php?option=com_frontpage','components','0','0','10','0','11','0','0000-00-00 00:00:00','0','0','0','3','menu_image=-1\npageclass_sfx=\nheader=Welcome to the Frontpage\npage_title=0\nback_button=0\nleading=1\nintro=0\ncolumns=0\nlink=0\norderby_pri=\norderby_sec=front\npagination=0\npagination_results=0\nimage=1\nsection=0\nsection_link=0\ncategory=0\ncategory_link=0\nitem_title=1\nlink_titles=\nreadmore=\nrating=\nauthor=0\ncreatedate=0\nmodifydate=0\npdf=0\nprint=0\nemail=0\nunpublished=0');
# --------------------------------------------------------

#
# Table structure for table `#__messages`
#

CREATE TABLE `#__messages` (
  `message_id` int(10) unsigned NOT NULL auto_increment,
  `user_id_from` int(10) unsigned NOT NULL default '0',
  `user_id_to` int(10) unsigned NOT NULL default '0',
  `folder_id` int(10) unsigned NOT NULL default '0',
  `date_time` datetime NOT NULL default '0000-00-00 00:00:00',
  `state` int(11) NOT NULL default '0',
  `priority` int(1) unsigned NOT NULL default '0',
  `subject` varchar(230) NOT NULL default '',
  `message` text NOT NULL,
  PRIMARY KEY  (`message_id`)
) TYPE=MyISAM;

#
# Table structure for table `#__messages_cfg`
#

CREATE TABLE `#__messages_cfg` (
  `user_id` int(10) unsigned NOT NULL default '0',
  `cfg_name` varchar(100) NOT NULL default '',
  `cfg_value` varchar(255) NOT NULL default '',
  UNIQUE `idx_user_var_name` (`user_id`,`cfg_name`)
) TYPE=MyISAM;

#
# Table structure for table `#__modules`
#

CREATE TABLE `#__modules` (
  `id` int(11) NOT NULL auto_increment,
  `title` text NOT NULL,
  `content` text NOT NULL,
  `ordering` int(11) NOT NULL default '0',
  `position` varchar(10) default NULL,
  `checked_out` int(11) unsigned NOT NULL default '0',
  `checked_out_time` datetime NOT NULL default '0000-00-00 00:00:00',
  `published` tinyint(1) NOT NULL default '0',
  `module` varchar(50) default NULL,
  `numnews` int(11) NOT NULL default '0',
  `access` tinyint(3) unsigned NOT NULL default '0',
  `showtitle` tinyint(3) unsigned NOT NULL default '1',
  `params` text NOT NULL,
  `iscore` tinyint(4) NOT NULL default '0',
  `client_id` tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `published` (`published`,`access`),
  KEY `newsfeeds` (`module`,`published`)
) TYPE=MyISAM;

#
# Dumping data for table `#__modules`
#

insert into `#__modules` values('1','Polls','','3','right','0','0000-00-00 00:00:00','1','mod_poll','0','0','1','cache=0\nmoduleclass_sfx=','0','0'),
 ('2','User Menu','','1','left','0','0000-00-00 00:00:00','0','mod_mainmenu','0','1','1','menutype=usermenu','1','0'),
 ('3','Main Menu','','12','right','0','0000-00-00 00:00:00','1','mod_mainmenu','0','0','1','class_sfx=\nmoduleclass_sfx=\nmenutype=mainmenu\nmenu_style=vert_indent\nfull_active_id=0\ncache=1\nmenu_images=1\nmenu_images_align=0\nexpand_menu=0\nactivate_parent=0\nindent_image=0\nindent_image1=\nindent_image2=\nindent_image3=\nindent_image4=\nindent_image5=\nindent_image6=\nspacer=\nend_spacer=','1','0'),
 ('4','Login Form','','1','top','0','0000-00-00 00:00:00','0','mod_login','0','0','1','moduleclass_sfx=-hilite3\npretext=\nposttext=\nlogin=\nlogout=\nlogin_message=0\nlogout_message=0\ngreeting=1\nname=0','1','0'),
 ('5','Syndicate','','1','user3','0','0000-00-00 00:00:00','0','mod_rssfeed','0','0','1','text=\ncache=0\nmoduleclass_sfx=\nrss091=1\nrss10=1\nrss20=1\natom=1\nopml=1\nrss091_image=\nrss10_image=\nrss20_image=\natom_image=\nopml_image=','1','0'),
 ('6','Latest News','','1','user6','0','0000-00-00 00:00:00','1','mod_latestnews','0','0','1','moduleclass_sfx=\ncache=1\ntype=2\nshow_front=0\ncount=8\ncatid=\nsecid=','1','0'),
 ('8','Current Visitors','','18','right','0','0000-00-00 00:00:00','1','mod_whosonline','0','0','0','showmode=2\nmoduleclass_sfx=','0','0'),
 ('9','Popular','','1','user7','0','0000-00-00 00:00:00','1','mod_mostread','0','0','1','moduleclass_sfx=\ncache=0\ntype=2\nshow_front=1\ncount=8\ncatid=\nsecid=','0','0'),
 ('10','Template Chooser','','2','left','0','0000-00-00 00:00:00','0','mod_templatechooser','0','0','1','show_preview=1','0','0'),
 ('11','Archive','','3','left','0','0000-00-00 00:00:00','1','mod_archive','0','0','1','count=10\ncache=0\nmoduleclass_sfx=','1','0'),
 ('12','Sections','','4','left','0','0000-00-00 00:00:00','1','mod_sections','0','0','1','count=5\nmoduleclass_sfx=','1','0'),
 ('13','Newsflash','','3','top','0','0000-00-00 00:00:00','0','mod_newsflash','0','0','0','catid=17\nstyle=random\nimage=0\nlink_titles=0\nreadmore=0\nitem_title=0\nitems=\ncache=0\nmoduleclass_sfx=','0','0'),
 ('14','Related Items','','2','user7','0','0000-00-00 00:00:00','0','mod_related_items','0','0','1','cache=1\nmoduleclass_sfx=','0','0'),
 ('15','Search','','1','search','0','0000-00-00 00:00:00','1','mod_search','0','0','0','moduleclass_sfx=\ncache=1\nset_itemid=\nwidth=20\ntext=\nbutton=\nbutton_pos=right\nbutton_text=','0','0'),
 ('16','Random Image','','14','right','0','0000-00-00 00:00:00','0','mod_random_image','0','0','1','','0','0'),
 ('17','Top Menu','','1','footer','0','0000-00-00 00:00:00','0','mod_mainmenu','0','0','0','class_sfx=\nmoduleclass_sfx=\nmenutype=topmenu\nmenu_style=horiz_flat\nfull_active_id=0\ncache=0\nmenu_images=0\nmenu_images_align=0\nexpand_menu=0\nactivate_parent=0\nindent_image=0\nindent_image1=\nindent_image2=\nindent_image3=\nindent_image4=\nindent_image5=\nindent_image6=\nspacer=|\nend_spacer=','1','0'),
 ('18','Banners','','1','inset','0','0000-00-00 00:00:00','0','mod_banners','0','0','0','banner_cids=\nmoduleclass_sfx=','1','0'),
 ('19','Components','','2','cpanel','0','0000-00-00 00:00:00','0','mod_components','0','99','1','','1','1'),
 ('20','Popular','','3','cpanel','0','0000-00-00 00:00:00','0','mod_popular','0','99','1','','0','1'),
 ('21','Latest Items','','4','cpanel','0','0000-00-00 00:00:00','0','mod_latest','0','99','1','','0','1'),
 ('22','Menu Stats','','5','cpanel','0','0000-00-00 00:00:00','0','mod_stats','0','99','1','','0','1'),
 ('23','Unread Messages','','1','header','0','0000-00-00 00:00:00','1','mod_unread','0','99','1','','1','1'),
 ('24','Online Users','','3','header','0','0000-00-00 00:00:00','1','mod_online','0','99','1','','1','1'),
 ('25','Full Menu','','1','top','0','0000-00-00 00:00:00','1','mod_fullmenu','0','99','1','','1','1'),
 ('26','Pathway','','1','pathway','0','0000-00-00 00:00:00','1','mod_pathway','0','99','1','','1','1'),
 ('27','Toolbar','','1','toolbar','0','0000-00-00 00:00:00','1','mod_toolbar','0','99','1','','1','1'),
 ('28','System Message','','1','inset','0','0000-00-00 00:00:00','1','mod_mosmsg','0','99','1','','1','1'),
 ('29','Quick Icons','','1','icon','0','0000-00-00 00:00:00','1','mod_quickicon','0','99','1','','1','1'),
 ('30','Other Menu','','2','footer','0','0000-00-00 00:00:00','1','mod_mainmenu','0','0','0','class_sfx=\nmoduleclass_sfx=\nmenutype=othermenu\nmenu_style=horiz_flat\nfull_active_id=0\ncache=0\nmenu_images=0\nmenu_images_align=0\nexpand_menu=0\nactivate_parent=0\nindent_image=0\nindent_image1=\nindent_image2=\nindent_image3=\nindent_image4=\nindent_image5=\nindent_image6=\nspacer=\nend_spacer=','0','0'),
 ('31','Wrapper','','5','left','0','0000-00-00 00:00:00','1','mod_wrapper','0','0','1','moduleclass_sfx=\nurl=\nscrolling=auto\nwidth=100%\nheight=200\nheight_auto=1\nadd=1','0','0'),
 ('32','Logged','','0','cpanel','0','0000-00-00 00:00:00','1','mod_logged','0','99','1','','0','1'),
 ('87','Sports News','There are many sports in the world, way too many to mention in this tiny little block. Just rest assured, someone is playing something somewhere, and winning.','2','user6','0','0000-00-00 00:00:00','1','','0','0','1','moduleclass_sfx=-color-red\ncache=1\nfirebots=1\nrssurl=\nrsstitle=1\nrssdesc=1\nrssimage=1\nrssitems=3\nrssitemdesc=1\nword_count=0\nrsscache=3600','0','0'),
 ('66','Preview','','2','header','0','0000-00-00 00:00:00','1','mod_preview','0','99','1','','0','1'),
 ('84','Lego Technology News','<ul class=\"triangle-2\">\r\n<li><a href=\"#\">LEGO Group publishes new entirely fan designed product...</a></li>\r\n<li><a href=\"#\">The LEGO Group announces LEGO Universe as official title for branded MMOG...</a></li>\r\n<li><a href=\"#\">Let your imagination run wild with LEGO® CREATOR...</a></li>\r\n</ul>','3','user4','0','0000-00-00 00:00:00','1','','0','0','1','moduleclass_sfx=\ncache=1\nfirebots=1\nrssurl=\nrsstitle=1\nrssdesc=1\nrssimage=1\nrssitems=3\nrssitemdesc=1\nword_count=0\nrsscache=3600','0','0'),
 ('85','Top Lego Sets','<ul class=\"triangle-2\">\r\n<li><a href=\"#\">The Ultimate Collector\'s Edition Millennium Falcon...</a></li>\r\n<li><a href=\"#\">The Sleek and Wonderful Jedi Starfighter with Hyperdrive Booster Ring...</a></li>\r\n<li><a href=\"#\">The Brilliant Fan Designed Market Street Lego Set...</a></li>\r\n</ul>','1','user5','0','0000-00-00 00:00:00','1','','0','0','1','moduleclass_sfx=\ncache=1\nfirebots=1\nrssurl=\nrsstitle=1\nrssdesc=1\nrssimage=1\nrssitems=3\nrssitemdesc=1\nword_count=0\nrsscache=3600','0','0'),
 ('224','RokLogin Module','','2','top','0','0000-00-00 00:00:00','1','mod_roklogin','0','0','0','moduleclass_sfx=\npretext=\nposttext=\nlogin=\nlogout=\nlogin_message=0\nlogout_message=0\ngreeting=1\nname=0\nshowforgotpw=0\nautoremember=1','0','0'),
 ('220','Did You Know?','Aoccdrnig to a rscheearch at an Elingsh uinervtisy, it deosn\'t mttaer in waht oredr the ltteers in a wrod are, the olny iprmoetnt tihng is taht frist and lsat ltteer is at the rghit pclae.\r\n','4','user6','0','0000-00-00 00:00:00','1','','0','0','1','moduleclass_sfx=-faq\ncache=1\nfirebots=1\nrssurl=\nrsstitle=1\nrssdesc=1\nrssimage=1\nrssitems=3\nrssitemdesc=1\nword_count=0\nrsscache=3600','0','0'),
 ('219','More News','<img src=\"images/morenews1.jpg\" alt=\"image\" align=\"left\" style=\"margin-right: 8px\" />The film crew working on the new RocketTheme trilogy takes a break from their busy schedule to discuss this highly anticipated film release.','1','advert2','0','0000-00-00 00:00:00','1','','0','0','0','moduleclass_sfx=\ncache=1\nfirebots=1\nrssurl=\nrsstitle=1\nrssdesc=1\nrssimage=1\nrssitems=3\nrssitemdesc=1\nword_count=0\nrsscache=3600','0','0'),
 ('145','Banner','<img src=\"images/stories/banner-468x60.png\"  alt=\"Banner\" width=\"468\" height=\"60\" border=\"0\" />','1','banner','0','0000-00-00 00:00:00','1','','0','0','0','moduleclass_sfx=\ncache=1\nfirebots=1\nrssurl=\nrsstitle=1\nrssdesc=1\nrssimage=1\nrssitems=3\nrssitemdesc=1\nword_count=0\nrsscache=3600','0','0'),
 ('218','Indiana Jones Returns to the Big Screen','<img src=\"images/indiana_jones2.jpg\" style=\"margin-right:5px\" alt=\"indy\" align=\"left\" class=\"headline\"  />The title of the new Indiana Jones movie has been officially revealed.  Installment number four will be called Indiana Jones and the Kingdom Of The Crystal Skull.  The movie under the direction of Steven Spielberg, stars Harrison Ford as Indiana Jones.<br /><br />While there has been some criticism over the age of the film\'s star, experts point out that plastic can last for a millenium.<div class=\"clr\"></div>','2','advert1','0','0000-00-00 00:00:00','1','','0','0','1','moduleclass_sfx=-latestnews\ncache=1\nfirebots=1\nrssurl=\nrsstitle=1\nrssdesc=1\nrssimage=1\nrssitems=3\nrssitemdesc=1\nword_count=0\nrsscache=3600','0','0'),
 ('103','Battle of the Bands','<span class=\"headline-red\">Rocket Roks the Stage</span><img src=\"images/concert.jpg\" alt=\"image\" class=\"headline\" /><br /><br />\r\nThousands showed up to watch Rocket rock the crowd and beat out the other local bands.\r\n<a href=\"#\" class=\"readon\">Read More</a>\r\n','2','user2','0','0000-00-00 00:00:00','1','','0','0','1','moduleclass_sfx=-headline-red\ncache=1\nfirebots=1\nrssurl=\nrsstitle=1\nrssdesc=1\nrssimage=1\nrssitems=3\nrssitemdesc=1\nword_count=0\nrsscache=3600','0','0'),
 ('102','This Week In Romance','<span class=\"headline-orange\">Valentine\'s Day is Upon Us</span><img src=\"images/flowers.jpg\" alt=\"image\" class=\"headline\" /><br /><br />\r\nStart planning ahead now, nothing says I love you like flowers and a striped shirt.\r\n<a href=\"#\" class=\"readon\">Read More</a>','3','user1','0','0000-00-00 00:00:00','1','','0','0','1','moduleclass_sfx=-headline-orange\ncache=1\nfirebots=1\nrssurl=\nrsstitle=1\nrssdesc=1\nrssimage=1\nrssitems=3\nrssitemdesc=1\nword_count=0\nrsscache=3600','0','0'),
 ('158','LEGO meets Nintendo Wii','<img src=\"images/lifestyle1.jpg\" alt=\"image\" align=\"left\" style=\"margin-right: 8px\" class=\"headline\" />Nintendo Wii takes over the world with it\'s super awesome gameplay. Millions of people all over the place just keep playing it and playing it, despite the fact that it\'s made out of LEGOs and can\'t possibly work.<br /><br />\r\n\r\nDespite this obvious flaw, it\'s still loads of fun, so be sure to pick up your LEGO brand Nintendo Wii as quickly as you possibly can!','1','user12','0','0000-00-00 00:00:00','1','','0','0','1','moduleclass_sfx=\ncache=1\nfirebots=1\nrssurl=\nrsstitle=1\nrssdesc=1\nrssimage=1\nrssitems=3\nrssitemdesc=1\nword_count=0\nrsscache=3600','0','0'),
 ('216','Built-in Typography','MediaMogul includes loads of typography styles and options to give you lots of options for your website, allowing you to place focus on important information for your visitors.\r\n\r\n<a href=\"index.php?option=com_content&amp;task=view&amp;id=13&amp;Itemid=28\" class=\"readon\">Read More</a>\r\n','1','user10','0','0000-00-00 00:00:00','1','','0','0','1','moduleclass_sfx=\ncache=1\nfirebots=1\nrssurl=\nrsstitle=1\nrssdesc=1\nrssimage=1\nrssitems=3\nrssitemdesc=1\nword_count=0\nrsscache=3600','0','0'),
 ('150','Login Form','','9','user1','0','0000-00-00 00:00:00','0','mod_login','0','0','1','moduleclass_sfx=\npretext=\nposttext=\nlogin=\nlogout=\nlogin_message=0\nlogout_message=0\ngreeting=1\nname=0','0','0'),
 ('157','Customisation','<h4><a href=\"#d-style\" name=\"d-style\">Default Style</a></h4>\r\n<strong>MediaMogul</strong> has 8, pre-made styles that can be easily selected from the option shown below. Simply change the settings between the two \" \" tags to your style of choice.\r\n<pre style=\"font-family:Arial;padding:5px;\">$default_style = \"style1\"; \r\n//custom | [style1...style6]</pre>\r\n\r\n<h4><a name=\"rokzoom\" href=\"#rokzoom\">RokZoom Enabled</a></h4>\r\nRokZoom, a powerful and presentationally excellent script can sometimes come into conflict with other javascript libraries, you can disable it with the following settings.\r\n<pre style=\"font-family:Arial;padding:5px;\">$enable_rokzoom = \"true\"; \r\n// true | false</pre>\r\n\r\n<h4><a name=\"t-width\" href=\"#t-width\">Template Width</a></h4>\r\nYou have the ability to select, with ease, the width of the template. The setting below is what you edit to either reduce or increase templates width.\r\n<pre style=\"font-family:Arial;padding:5px;\">$template_width = \"966\"; \r\n// width in px | fluid</pre>\r\n\r\n<h4><a href=\"#m-name\" name=\"m-name\">Menu Name</a></h4>\r\nThe following parameter controls which Joomla! menu is loaded for the horizontal navigation bar. Therefore, you can use a custom menu instead of a default menu such as &quot;tab-menu&quot; or use another default menu such as &quot;topmenu&quot;.<br/>\r\n<pre style=\"font-family:Arial;padding:5px;\">$menu_name =\"mainmenu\";  \r\n// mainmenu by default</pre>\r\n\r\n<h4><a href=\"#m-type\" name=\"m-type\">Menu Type</a></h4>\r\n<b>MediaMogul</b> has 4 options for the horizontal navigation bar. You can either, select moomenu, the latest menu addition;  suckerfish, the basic vertical dropdown menu; splitmenu, the popular classic or have the area as a separate module position.\r\n<pre style=\"font-family:Arial;padding:5px;\">$menu_type = \"moomenu\"; \r\n// moomenu | suckerfish \r\nsplitmenu | module</pre>\r\n\r\n<h4><a name=\"slider-height\" href=\"#slide-height\">Module Slider Height</a></h4>\r\nThis setting controls the height of the Module Slider in pixels.\r\n\r\n<pre style=\"font-family:Arial;padding:5px;\">$module_slider_height = 200;   \r\n// height in px</pre>\r\n\r\n\r\n<h4><a name=\"module-count\" href=\"#module-count\">Module Count</a></h4>\r\nThe module configuration variable below controls how many consecutive modules you can have for a position. \r\n<pre style=\"font-family:Arial;padding:5px;\">\r\n$max_mods_per_row = 3; \r\n// max number of modules per row \r\n(if wraps, adjust height)\r\n</pre>\r\n','8','right','0','0000-00-00 00:00:00','1','','0','0','1','moduleclass_sfx=-hilite1\ncache=1\nfirebots=1\nrssurl=\nrsstitle=1\nrssdesc=1\nrssimage=1\nrssitems=3\nrssitemdesc=1\nword_count=0\nrsscache=3600','0','0'),
 ('134','Upload the Files','Download the separate <b>MediaMogul</b> RocketLauncher package from the <b>Populus</b>\r\ntemplate downloads section and upload the Joomla files within to your\r\nserver as you would a standard Joomla installation package. You upload the files with a FTP \r\nclient such as <a href=\"http://filezilla.sourceforge.net/\" title=\"filezilla\">Filezilla</a>.\r\n\r\n<a href=\"http://www.rockettheme.com/option,com_smf/Itemid,190/topic,20046.0/\" class=\"readon\">Learn more...</a>','6','right','0','0000-00-00 00:00:00','1','','0','0','1','moduleclass_sfx=-hilite3b\ncache=1\nfirebots=1\nrssurl=\nrsstitle=1\nrssdesc=1\nrssimage=1\nrssitems=3\nrssitemdesc=1\nword_count=0\nrsscache=3600','0','0'),
 ('135','Run the Installer','Point your browser to the location of the <b>RocketLauncher</b> Joomla\r\ninstallation package on your server (whichever domain/folder you\r\nuploaded to). You will then see a <b>RocketLauncher</b> splash screen. Click\r\nBegin Install and follow the on screen Joomla installation instructions.','7','right','0','0000-00-00 00:00:00','1','','0','0','1','moduleclass_sfx=-hilite2a\ncache=1\nfirebots=1\nrssurl=\nrsstitle=1\nrssdesc=1\nrssimage=1\nrssitems=3\nrssitemdesc=1\nword_count=0\nrsscache=3600','0','0'),
 ('245','RokNewsRotator','The brand new <b>RokNewsRotator</b> is an excellent way to direct your website visitors to your featured articles.','13','right','0','0000-00-00 00:00:00','1','','0','0','1','moduleclass_sfx=-hilite1\ncache=0\nfirebots=1\nrssurl=\nrsstitle=1\nrssdesc=1\nrssimage=1\nrssitems=3\nrssitemdesc=1\nword_count=0\nrsscache=3600','0','0'),
 ('155','5 a day','<img src=\"images/lego-business.jpg\" alt=\"image\" align=\"left\" style=\"margin-right: 8px\" class=\"headline\" />Lego have confirmed that they are switching their entire stock of computers from windows based PCs to the Apple Mac computers<br /><br />\r\n\r\n\"Efficiency of production is our primary goal and Apple seems the best choice to accomplish this\" says Lego Executive ','1','user13','0','0000-00-00 00:00:00','1','','0','0','1','moduleclass_sfx=\ncache=1\nfirebots=1\nrssurl=\nrsstitle=1\nrssdesc=1\nrssimage=1\nrssitems=3\nrssitemdesc=1\nword_count=0\nrsscache=3600','0','0'),
 ('214','Mootools Integration','MediaMogul utilises the javascript library known as mootools to power special effects such as the RokMooMenu, Tabbed Modules, News Rotator, and RokZoom features.\r\n\r\n<a href=\"index.php?option=com_content&amp;task=view&amp;id=18&amp;Itemid=35\" class=\"readon\">Read More</a>','1','user9','0','0000-00-00 00:00:00','1','','0','0','1','moduleclass_sfx=\ncache=1\nfirebots=1\nrssurl=\nrsstitle=1\nrssdesc=1\nrssimage=1\nrssitems=3\nrssitemdesc=1\nword_count=0\nrsscache=3600','0','0'),
 ('213','Entertainment News','Next year promises a steady release of theatrical movies which will more than likely be viewed by moviegoers. Rumor has it that they also may feature actors.','3','user7','0','0000-00-00 00:00:00','1','','0','0','1','moduleclass_sfx=\ncache=1\nfirebots=1\nrssurl=\nrsstitle=1\nrssdesc=1\nrssimage=1\nrssitems=3\nrssitemdesc=1\nword_count=0\nrsscache=3600','0','0'),
 ('211','Advertisment','<div align=\"center\"><img src=\"images/ad.jpg\" alt=\"ad\" /></div>','17','right','0','0000-00-00 00:00:00','1','','0','0','1','moduleclass_sfx=-ad\ncache=0\nfirebots=1\nrssurl=\nrsstitle=1\nrssdesc=1\nrssimage=1\nrssitems=3\nrssitemdesc=1\nword_count=0\nrsscache=3600','0','0'),
 ('189','RokSlideshow','','1','header','0','0000-00-00 00:00:00','1','mod_rokslideshow','0','0','0','moduleclass_sfx=\nwidth=500\nheight=261\njslib=0\nimagePath=images/stories/slideshow/\nshowCaption=1\nheightCaption=55\ntitleSize=14px\ntitleColor=#fff\ndescSize=11px\ndescColor=#ccc\nsortCriteria=0\nsortOrder=0\nsortOrderManual=\nimageResize=0\nimageDuration=9000\ntransDuration=2000\ntransType=fade\npan=50\nzoom=50\ntransition=Expo.easeOut','0','0'),
 ('243','RokNewsflash News','','1','newsflash','0','0000-00-00 00:00:00','1','mod_roknewsflash','0','0','0','moduleclass_sfx=\ncache=1\ntype=1\nshow_front=1\ncount=5\ncatid=17\nsecid=0\njslib=0\ncontrols=1\nduration=600\ndelay=3500\npreview_count=200','0','0'),
 ('244','WYSIWYG Editor Tip','When placing custom html code into a custom module or content item, it is best to turn your WYSIWYG editor off.   \r\nDoing so will ensure the code you place will not get stripped away when the item is saved.  Turn your editor off in your admin your panel by going to Site > Global Configuration and setting Default WYSIWYG Editor to No WYSIWYG Editor.\r\n\r\n','11','right','0','0000-00-00 00:00:00','1','','0','0','1','moduleclass_sfx=\ncache=0\nfirebots=1\nrssurl=\nrsstitle=1\nrssdesc=1\nrssimage=1\nrssitems=3\nrssitemdesc=1\nword_count=0\nrsscache=3600','0','0'),
 ('201','RocketTutorials','Dive deeper into the world of Joomla with informative and detailed written tutorials on a variety of topics including general Joomla functions, RocketTheme template modifications, and much more on our all new <a href=\"http://tutorials.rockettheme.com\">RocketTutorials</a> site.','4','right','0','0000-00-00 00:00:00','1','','0','0','1','moduleclass_sfx=-hilite2a\ncache=1\nfirebots=1\nrssurl=\nrsstitle=1\nrssdesc=1\nrssimage=1\nrssitems=3\nrssitemdesc=1\nword_count=0\nrsscache=3600','0','0'),
 ('212','Local Weather','The sun rose this morning, and is predicted to set again later this evening. Meteorologists are predicting steady daylight throughout this cycle of sun, ending upon sunset.','1','user8','0','0000-00-00 00:00:00','1','','0','0','1','moduleclass_sfx=-weather\ncache=1\nfirebots=1\nrssurl=\nrsstitle=1\nrssdesc=1\nrssimage=1\nrssitems=3\nrssitemdesc=1\nword_count=0\nrsscache=3600','0','0'),
 ('202','Mystery Artwork Uncovered','<img src=\"images/lisa.jpg\" alt=\"image\" align=\"left\" style=\"margin-right:8px\" />An incredible and mysterious painting turns up in a gallery, no one knows who it was that painted it.\r\n\r\n<a href=\"#\" class=\"readon\">Read More</a>','2','right','0','0000-00-00 00:00:00','1','','0','0','1','moduleclass_sfx=-hilite1a\ncache=0\nfirebots=1\nrssurl=\nrsstitle=1\nrssdesc=1\nrssimage=1\nrssitems=3\nrssitemdesc=1\nword_count=0\nrsscache=3600','0','0'),
 ('203','New Stadium Completed','<img src=\"images/stadium.jpg\" alt=\"image\" align=\"left\" style=\"margin-right:8px\" />Team of 4 year old children finish construction of the new RocketStadium.\r\n\r\n<a href=\"#\" class=\"readon\">Read More</a>','15','right','0','0000-00-00 00:00:00','1','','0','0','1','moduleclass_sfx=-hilite2b\ncache=0\nfirebots=1\nrssurl=\nrsstitle=1\nrssdesc=1\nrssimage=1\nrssitems=3\nrssitemdesc=1\nword_count=0\nrsscache=3600','0','0'),
 ('204','Today\'s Top Stories','<ul class=\"star-1\">\r\n<li><a href=\"#\">Firefighters Save the Day!</a></li>\r\n<li><a href=\"#\">Rocket Roks the Stage</a></li>\r\n<li><a href=\"#\">Indiana Jones Returns</a></li>\r\n<li><a href=\"#\">Valentine\'s Day is Upon Us</a></li>\r\n</ul>','16','right','0','0000-00-00 00:00:00','1','','0','0','1','moduleclass_sfx=-hilite3a\ncache=0\nfirebots=1\nrssurl=\nrsstitle=1\nrssdesc=1\nrssimage=1\nrssitems=3\nrssitemdesc=1\nword_count=0\nrsscache=3600','0','0'),
 ('206','Superhero Watch','<span class=\"headline\">Crime on the Rise</span><img src=\"images/tiedup.jpg\" alt=\"image\" class=\"headline\" /><br /><br />\r\nVillains have a field day while superheroes find themselves all tied up once again.\r\n<a href=\"#\" class=\"readon\">Read More</a>\r\n','4','user3','0','0000-00-00 00:00:00','1','','0','0','1','moduleclass_sfx=\ncache=1\nfirebots=1\nrssurl=\nrsstitle=1\nrssdesc=1\nrssimage=1\nrssitems=3\nrssitemdesc=1\nword_count=0\nrsscache=3600','0','0'),
 ('221','Top Downloads','<ul class=\"check\">\r\n<li><a href=\"#\">The Story of a Story (PDF)</a></li>\r\n<li><a href=\"#\">Music That Plays (MP3) .</a></li>\r\n<li><a href=\"#\">Videos That... Video (QT)</a></li>\r\n</ul><br />','5','user7','0','0000-00-00 00:00:00','1','','0','0','1','moduleclass_sfx=-download\ncache=1\nfirebots=1\nrssurl=\nrsstitle=1\nrssdesc=1\nrssimage=1\nrssitems=3\nrssitemdesc=1\nword_count=0\nrsscache=3600','0','0'),
 ('222','LEGO Spotlight','Build the ultimate Millennium Falcon with this new set. With over 5,000 pieces, this is the biggest LEGO set ever made and is built completely to minifigure scale.\r\n','3','user8','0','0000-00-00 00:00:00','1','','0','0','1','moduleclass_sfx=-color-darkgray\ncache=1\nfirebots=1\nrssurl=\nrsstitle=1\nrssdesc=1\nrssimage=1\nrssitems=3\nrssitemdesc=1\nword_count=0\nrsscache=3600','0','0'),
 ('223','More News2','<img src=\"images/morenews2.jpg\" alt=\"image\" align=\"left\" style=\"margin-right: 8px\" />The military is testing their new lego based battle-armor, rumored to be much easier to put together than the one based on an erector set.\r\n','1','advert3','0','0000-00-00 00:00:00','1','','0','0','0','moduleclass_sfx=\ncache=1\nfirebots=1\nrssurl=\nrsstitle=1\nrssdesc=1\nrssimage=1\nrssitems=3\nrssitemdesc=1\nword_count=0\nrsscache=3600','0','0'),
 ('225','Lego Law Enforcement','<img src=\"images/lego-law1.jpg\" alt=\"image\" align=\"left\" style=\"margin-right: 8px\" class=\"headline\" />The democratic Republic of Lego are passing a bill that will make the transport of translucent Lego bricks an illegal offence<br /><br />\r\n\r\nThe new Legotron 500 motorbikes have been purchased to enforce the new transport legislation.','1','user14','0','0000-00-00 00:00:00','1','','0','0','1','moduleclass_sfx=\ncache=1\nfirebots=1\nrssurl=\nrsstitle=1\nrssdesc=1\nrssimage=1\nrssitems=3\nrssitemdesc=1\nword_count=0\nrsscache=3600','0','0'),
 ('226','Secrets of the Pharaohs','<img src=\"images/lego-science1.jpg\" alt=\"image\" align=\"left\" style=\"margin-right: 8px\" class=\"headline\" />The world famous &quot;Secrets of the Pharaohs&quot; exhibition is coming town with the infamous perfectly preserved Mummy from the legolithic period <br /><br />\r\n\r\nThe exhibit is open to the public on the 23rd January 2008 from 10am - 8pm','1','user15','0','0000-00-00 00:00:00','1','','0','0','1','moduleclass_sfx=\ncache=1\nfirebots=1\nrssurl=\nrsstitle=1\nrssdesc=1\nrssimage=1\nrssitems=3\nrssitemdesc=1\nword_count=0\nrsscache=3600','0','0'),
 ('227','Module User1','<div class=\"moduletable-headline-red\">\r\n\r\n<h3>User1 -headline-red</h3>\r\n\r\n<span class=\"headline-red\">Subtitle headline</span>\r\n\r\nThis is the <b>User1</b> position with the <b>-headline-red</b> module class suffix. You can enter this in the Module Manager. The Subtitle is formed with the following HTML code, <b>&lt;span class=&quot;headline&quot;&gt; Subtitle &lt;/span&gt;</b> or <b>&lt;span class=&quot;headline<u>-red</u>&quot;&gt; Subtitle &lt;/span&gt;</b>. The latter is whether your hilite is not that of the original, i.e. a blue subtitle within a green hilite.\r\n\r\n</div>','2','user1','0','0000-00-00 00:00:00','1','','0','0','0','moduleclass_sfx=\ncache=0\nfirebots=1\nrssurl=\nrsstitle=1\nrssdesc=1\nrssimage=1\nrssitems=3\nrssitemdesc=1\nword_count=0\nrsscache=3600','0','0'),
 ('228','Module User2','<div class=\"moduletable-headline-orange\">\r\n\r\n<h3>User2 -headline-orange</h3>\r\n\r\n<span class=\"headline-orange\">Subtitle headline</span>\r\n\r\nThis is the <b>User2</b> position with the <b>-headline-orange</b> module class suffix. You can enter this in the Module Manager. The Subtitle is formed with the following HTML code, <b>&lt;span class=&quot;headline&quot;&gt; Subtitle &lt;/span&gt;</b> or <b>&lt;span class=&quot;headline<u>-orange</u>&quot;&gt; Subtitle &lt;/span&gt;</b>. The latter is whether your hilite is not that of the original, i.e. a blue subtitle within a green hilite.\r\n\r\n</div>','1','user2','0','0000-00-00 00:00:00','1','','0','0','0','moduleclass_sfx=\ncache=0\nfirebots=1\nrssurl=\nrsstitle=1\nrssdesc=1\nrssimage=1\nrssitems=3\nrssitemdesc=1\nword_count=0\nrsscache=3600','0','0'),
 ('229','Module User3','<div class=\"moduletable-headline-green\">\r\n\r\n<h3>User3 -headline-green</h3>\r\n\r\n<span class=\"headline-green\">Subtitle headline</span>\r\n\r\nThis is the <b>User3</b> position with the <b>-headline-red</b> module class suffix. You can enter this in the Module Manager. The Subtitle is formed with the following HTML code, <b>&lt;span class=&quot;headline&quot;&gt; Subtitle &lt;/span&gt;</b> or <b>&lt;span class=&quot;headline<u>-green</u>&quot;&gt; Subtitle &lt;/span&gt;</b>. The latter is whether your hilite is not that of the original, i.e. a blue subtitle within a green hilite.\r\n\r\n</div>','2','user3','0','0000-00-00 00:00:00','1','','0','0','0','moduleclass_sfx=\ncache=0\nfirebots=1\nrssurl=\nrsstitle=1\nrssdesc=1\nrssimage=1\nrssitems=3\nrssitemdesc=1\nword_count=0\nrsscache=3600','0','0'),
 ('230','Module User4','This is <b>User4</b> modular position which is using the module hilite of <b>-download</b>. Enter that as your Module Class Suffix in the Module Manager','2','user4','0','0000-00-00 00:00:00','1','','0','0','1','moduleclass_sfx=-download\ncache=0\nfirebots=1\nrssurl=\nrsstitle=1\nrssdesc=1\nrssimage=1\nrssitems=3\nrssitemdesc=1\nword_count=0\nrsscache=3600','0','0'),
 ('231','Module User5','This is <b>User5</b> modular position which is using the module hilite of <b>-color-blue</b>. Enter that as your Module Class Suffix in the Module Manager','2','user5','0','0000-00-00 00:00:00','1','','0','0','1','moduleclass_sfx=-color-blue\ncache=0\nfirebots=1\nrssurl=\nrsstitle=1\nrssdesc=1\nrssimage=1\nrssitems=3\nrssitemdesc=1\nword_count=0\nrsscache=3600','0','0'),
 ('232','Module User6','<div class=\"module-color-red\">\r\n<div><div><div>\r\n<h3>Module User6</h3>\r\nThis is <b>User6</b> modular position which is using the module hilite of <b>-color-red</b>. Enter that as your Module Class Suffix in the Module Manager\r\n</div></div></div>\r\n</div>\r\n\r\n<div class=\"module-faq\">\r\n<div><div><div>\r\n<h3>Module User6</h3>\r\nThis is <b>User6</b> modular position which is using the module hilite of <b>-faq</b>. Enter that as your Module Class Suffix in the Module Manager\r\n</div></div></div>\r\n</div>','3','user6','0','0000-00-00 00:00:00','1','','0','0','0','moduleclass_sfx=-\ncache=0\nfirebots=1\nrssurl=\nrsstitle=1\nrssdesc=1\nrssimage=1\nrssitems=3\nrssitemdesc=1\nword_count=0\nrsscache=3600','0','0'),
 ('233','Module User7','<div class=\"module-download\">\r\n<div><div><div>\r\n<h3>Module User7</h3>\r\nThis is <b>User7</b> modular position which is using the module hilite of <b>-download</b>. Enter that as your Module Class Suffix in the Module Manager\r\n</div></div></div>\r\n</div>\r\n\r\n<div class=\"module-color-green\">\r\n<div><div><div>\r\n<h3>Module User7</h3>\r\nThis is <b>User7</b> modular position which is using the module hilite of <b>-color-green</b>. Enter that as your Module Class Suffix in the Module Manager\r\n</div></div></div>\r\n</div>','4','user7','0','0000-00-00 00:00:00','1','','0','0','0','moduleclass_sfx=-\ncache=0\nfirebots=1\nrssurl=\nrsstitle=1\nrssdesc=1\nrssimage=1\nrssitems=3\nrssitemdesc=1\nword_count=0\nrsscache=3600','0','0'),
 ('234','Module User8','<div class=\"module-weather\">\r\n<div><div><div>\r\n<h3>Module User8</h3>\r\nThis is <b>User8</b> modular position which is using the module hilite of <b>-weather</b>. Enter that as your Module Class Suffix in the Module Manager\r\n</div></div></div>\r\n</div>\r\n\r\n<div class=\"module-color-darkgray\">\r\n<div><div><div>\r\n<h3>Module User8</h3>\r\nThis is <b>User8</b> modular position which is using the module hilite of <b>-color-darkgray</b>. Enter that as your Module Class Suffix in the Module Manager\r\n</div></div></div>\r\n</div>','2','user8','0','0000-00-00 00:00:00','1','','0','0','0','moduleclass_sfx=-\ncache=0\nfirebots=1\nrssurl=\nrsstitle=1\nrssdesc=1\nrssimage=1\nrssitems=3\nrssitemdesc=1\nword_count=0\nrsscache=3600','0','0'),
 ('235','Module Right','<div class=\"module-hilite3b\">\r\n<div><div><div>\r\n<h3>Sidebar</h3>\r\nThis is the <b>Sidebar</b> which can be either the <b>Left</b> or <b>Right</b> modular position, which is determined by your personal settings in the index.php. The hilites themselves are divided into 5 colours, with each colour having 3 different <em>modes</em>. The syntax is either:-\r\n\r\n<ol style=\"margin-left:-10px;list-style:square;\">\r\n	<li><em>-hilite<b>number</b></em> such as <b>-hilite1. This styles the header only with a ribbon enveloping both sides of the column.</b></li>\r\n	<li><em>-hilite<b>number<a href=\"javascript:void(0);\">a</a></b></em> such as <b>-hilite2a</b>. This styles the whole module with a ribbon enveloping the right side of the column.</li>\r\n	<li><em>-hilite<b>number<a href=\"javascript:void(0);\">b</a></b></em> such as <b>-hilite3b</b>. This styles the whole module with a ribbon enveloping the left side of the column.</li>\r\n</ol>\r\n\r\nThe last remaining hilite is <b>-ad</b> which is that particular style variant\'s <b>-hilite1</b> module class suffix. \r\n\r\n</div></div></div>\r\n</div>\r\n\r\n<div class=\"module-hilite1\">\r\n<div><div><div>\r\n<h3>Module Left / Right</h3>\r\nThis is the <b>-hilite1</b> module hilite. Enter this as your <b>module class suffix</b> in the Module Manager.\r\n</div></div></div>\r\n</div>\r\n\r\n<div class=\"module-hilite2a\">\r\n<div><div><div>\r\n<h3>Module Left / Right</h3>\r\nThis is the <b>-hilite2a</b> module hilite. Enter this as your <b>module class suffix</b> in the Module Manager.\r\n</div></div></div>\r\n</div>\r\n\r\n<div class=\"module-hilite3b\">\r\n<div><div><div>\r\n<h3>Module Left / Right</h3>\r\nThis is the <b>-hilite3b</b> module hilite. Enter this as your <b>module class suffix</b> in the Module Manager.\r\n</div></div></div>\r\n</div>\r\n\r\n<div class=\"module-hilite4\">\r\n<div><div><div>\r\n<h3>Module Left / Right</h3>\r\nThis is the <b>-hilite4</b> module hilite. Enter this as your <b>module class suffix</b> in the Module Manager.\r\n</div></div></div>\r\n</div>\r\n\r\n<div class=\"module-hilite5a\">\r\n<div><div><div>\r\n<h3>Module Left / Right</h3>\r\nThis is the <b>-hilite5a</b> module hilite. Enter this as your <b>module class suffix</b> in the Module Manager.\r\n</div></div></div>\r\n</div>\r\n\r\n<div class=\"module-ad\">\r\n<div><div><div>\r\n<h3>Module Left / Right</h3>\r\n<div style=\"padding:25px;\">\r\nThis is the <b>-ad</b> module hilite. Enter this as your <b>module class suffix</b> in the Module Manager. This hilite has <b>no padding</b> to allow images to encompass the entire position. However, in this position, we have included padding for the guide.\r\n</div>\r\n</div></div></div>\r\n</div>\r\n\r\n','5','right','0','0000-00-00 00:00:00','1','','0','0','0','moduleclass_sfx=-\ncache=0\nfirebots=1\nrssurl=\nrsstitle=1\nrssdesc=1\nrssimage=1\nrssitems=3\nrssitemdesc=1\nword_count=0\nrsscache=3600','0','0'),
 ('236','Module Advert1','This is <b>Advert1</b> module position with the <b>-latestnews</b> module hilite. You have the option of selecting 1 of 8 module hilites for this position, these are: -\r\n<ul style=\"float:left;width:30%;list-style:none;\">\r\n<li>1. -latestnews</li>\r\n<li>2. -weather</li>\r\n<li>3. -faq</li>\r\n<li>4. -download</li>\r\n</ul>\r\n<ul style=\"float:left;width:30%;list-style:none;\">\r\n<li>5. -color-green</li>\r\n<li>6. -color-darkgrey</li>\r\n<li>7. -color-red</li>\r\n<li>8. -color-blue</li>\r\n</ul>\r\n<div class=\"clr\" style=\"background:none;\"></div>','1','advert1','0','0000-00-00 00:00:00','1','','0','0','1','moduleclass_sfx=-latestnews\ncache=0\nfirebots=1\nrssurl=\nrsstitle=1\nrssdesc=1\nrssimage=1\nrssitems=3\nrssitemdesc=1\nword_count=0\nrsscache=3600','0','0'),
 ('237','Module Advert2','This is the <b>Advert2</b> position and does not have any module hilites but preset modular styling. Do not enter a module class suffix for this position.','2','advert2','0','0000-00-00 00:00:00','1','','0','0','0','moduleclass_sfx=\ncache=0\nfirebots=1\nrssurl=\nrsstitle=1\nrssdesc=1\nrssimage=1\nrssitems=3\nrssitemdesc=1\nword_count=0\nrsscache=3600','0','0'),
 ('238','Module Advert3','This is the <b>Advert3</b> position and does not have any module hilites but a preset modular styling. Do not enter a module class suffix for this position.','2','advert3','0','0000-00-00 00:00:00','1','','0','0','0','moduleclass_sfx=\ncache=0\nfirebots=1\nrssurl=\nrsstitle=1\nrssdesc=1\nrssimage=1\nrssitems=3\nrssitemdesc=1\nword_count=0\nrsscache=3600','0','0'),
 ('239','RocketLauncher Available','The MediaMogul RocketLauncher package consists of a full 1.0.13 Joomla install, as well as the template and demo content allowing you to deploy a replica of the MediaMogul demo.\r\n\r\n<a href=\"index.php?option=com_content&amp;task=view&amp;id=44&amp;Itemid=60\" class=\"readon\">Read More</a>\r\n','2','user11','0','0000-00-00 00:00:00','1','','0','0','1','moduleclass_sfx=\ncache=1\nfirebots=1\nrssurl=\nrsstitle=1\nrssdesc=1\nrssimage=1\nrssitems=3\nrssitemdesc=1\nword_count=0\nrsscache=3600','0','0'),
 ('242','Member Forums','Get your questions answered as well as enjoy additional tutorials in our exclusive <a href=\"http://www.rockettheme.com\">RocketTheme Community Forums</a>.','9','right','0','0000-00-00 00:00:00','1','','0','0','1','moduleclass_sfx=\ncache=0\nfirebots=1\nrssurl=\nrsstitle=1\nrssdesc=1\nrssimage=1\nrssitems=3\nrssitemdesc=1\nword_count=0\nrsscache=3600','0','0'),
 ('241','Joomla Video Tutorials','Learn how to do general Joomla! functions by watching flash-based videos on our <a href=\"http://tutorials.rockettheme.com\">RocketTutorials</a> site.','10','right','0','0000-00-00 00:00:00','1','','0','0','1','moduleclass_sfx=-hilite3b\ncache=1\nfirebots=1\nrssurl=\nrsstitle=1\nrssdesc=1\nrssimage=1\nrssitems=3\nrssitemdesc=1\nword_count=0\nrsscache=3600','0','0'),
 ('246','Top Videos','<script type=\"text/javascript\" src=\"templates/rt_mediamogul/js/rokvideoscroller.js\"></script>\r\n<script type=\"text/javascript\">\r\n	window.addEvent(\'domready\', function() {\r\n		var x = new RokVideoScroller(\'video-list\',{\r\n			\'duration\': 1000\r\n		});\r\n	});\r\n</script>\r\n<div id=\"video-list\" class=\"video-list\">\r\n	<div class=\"video\">\r\n    	<div class=\"left\">\r\n        	<img alt=\"\" src=\"images/stories/videos/mini1.jpg\" />\r\n        </div>\r\n        <div class=\"desc\">\r\n        	<p>Empire Stops Drunk Drivers</p>\r\n            <p><a href=\"#\">Watch Video</a></p>\r\n        </div>\r\n    </div>\r\n	<div class=\"video\">\r\n    	<div class=\"left\">\r\n        	<img alt=\"\" src=\"images/stories/videos/mini2.jpg\" />\r\n        </div>\r\n        <div class=\"desc\">\r\n        	<p>Pilot Upset Over Crash</p>\r\n            <p><a href=\"#\">Watch Video</a></p>\r\n        </div>\r\n    </div>\r\n	<div class=\"video\">\r\n    	<div class=\"left\">\r\n        	<img alt=\"\" src=\"images/stories/videos/mini3.jpg\" />\r\n        </div>\r\n        <div class=\"desc\">\r\n        	<p>Politicians Hold a Summit</p>\r\n            <p><a href=\"#\">Watch Video</a></p>\r\n        </div>\r\n    </div>\r\n	<div class=\"video\">\r\n    	<div class=\"left\">\r\n        	<img alt=\"\" src=\"images/stories/videos/mini4.jpg\" />\r\n        </div>\r\n        <div class=\"desc\">\r\n        	<p>Popular Pub Past Prime</p>\r\n            <p><a href=\"#\">Watch Video</a></p>\r\n        </div>\r\n    </div>\r\n	<div class=\"video\">\r\n    	<div class=\"left\">\r\n        	<img alt=\"\" src=\"images/stories/videos/mini5.jpg\" />\r\n        </div>\r\n        <div class=\"desc\">\r\n        	<p>Animal Couples Go Boating</p>\r\n            <p><a href=\"#\">Watch Video</a></p>\r\n        </div>\r\n    </div>\r\n	<div class=\"video\">\r\n    	<div class=\"left\">\r\n        	<img alt=\"\" src=\"images/stories/videos/mini6.jpg\" />\r\n        </div>\r\n        <div class=\"desc\">\r\n        	<p>Here\'s Looking at You Kid</p>\r\n            <p><a href=\"#\">Watch Video</a></p>\r\n        </div>\r\n    </div>\r\n	<div class=\"video\">\r\n    	<div class=\"left\">\r\n        	<img alt=\"\" src=\"images/stories/videos/mini7.jpg\" />\r\n        </div>\r\n        <div class=\"desc\">\r\n        	<p>Riots In BlockTown Again</p>\r\n            <p><a href=\"#\">Watch Video</a></p>\r\n        </div>\r\n    </div>\r\n	<div class=\"video\">\r\n    	<div class=\"left\">\r\n        	<img alt=\"\" src=\"images/stories/videos/mini8.jpg\" />\r\n        </div>\r\n        <div class=\"desc\">\r\n        	<p>Unhappy Pet Seeks Vengeance</p>\r\n            <p><a href=\"#\">Watch Video</a></p>\r\n        </div>\r\n    </div>\r\n	<div class=\"video\">\r\n    	<div class=\"left\">\r\n        	<img alt=\"\" src=\"images/stories/videos/mini9.jpg\" />\r\n        </div>\r\n        <div class=\"desc\">\r\n        	<p>Hunting Season Opens Today</p>\r\n            <p><a href=\"#\">Watch Video</a></p>\r\n        </div>\r\n    </div>\r\n</div>','1','right','0','0000-00-00 00:00:00','1','','0','0','1','moduleclass_sfx=-hilite2\ncache=1\nfirebots=1\nrssurl=\nrsstitle=1\nrssdesc=1\nrssimage=1\nrssitems=3\nrssitemdesc=1\nword_count=0\nrsscache=3600','0','0'),
 ('248','Vote Chris Mitchel','<img src=\"images/lego-vote.jpg\" alt=\"image\" align=\"left\" style=\"margin-right: 8px\" class=\"headline\" />Its that time again and the elections are upon us. The popularity polls are showing a clear majority towards Chris Mitchel<br /><br />\r\n\r\nYou can view LegoNew\'s online poll at <a href=\"#\">www.lego-online-election-poll.net</a>','1','user16','0','0000-00-00 00:00:00','1','','0','0','1','moduleclass_sfx=\ncache=1\nfirebots=1\nrssurl=\nrsstitle=1\nrssdesc=1\nrssimage=1\nrssitems=3\nrssitemdesc=1\nword_count=0\nrsscache=3600','0','0');

# --------------------------------------------------------

#
# Table structure for table `#__modules_menu`
#

CREATE TABLE `#__modules_menu` (
  `moduleid` int(11) NOT NULL default '0',
  `menuid` int(11) NOT NULL default '0',
  PRIMARY KEY  (`moduleid`,`menuid`)
) TYPE=MyISAM;

#
# Dumping data for table `#__modules_menu`
#

insert into `#__modules_menu` values('1','71'),
 ('2','0'),
 ('3','2'),
 ('3','3'),
 ('3','5'),
 ('3','6'),
 ('3','7'),
 ('3','9'),
 ('3','23'),
 ('3','25'),
 ('3','26'),
 ('4','1'),
 ('5','2'),
 ('5','5'),
 ('5','6'),
 ('5','7'),
 ('5','23'),
 ('5','25'),
 ('6','2'),
 ('6','3'),
 ('6','5'),
 ('6','6'),
 ('6','7'),
 ('6','9'),
 ('6','23'),
 ('6','25'),
 ('6','26'),
 ('8','71'),
 ('9','2'),
 ('9','3'),
 ('9','5'),
 ('9','6'),
 ('9','7'),
 ('9','9'),
 ('9','23'),
 ('9','25'),
 ('9','26'),
 ('10','1'),
 ('11','71'),
 ('12','71'),
 ('13','0'),
 ('14','2'),
 ('14','3'),
 ('14','5'),
 ('14','6'),
 ('14','7'),
 ('14','9'),
 ('14','23'),
 ('14','25'),
 ('14','26'),
 ('15','2'),
 ('15','3'),
 ('15','5'),
 ('15','6'),
 ('15','7'),
 ('15','9'),
 ('15','23'),
 ('15','25'),
 ('15','26'),
 ('15','35'),
 ('15','37'),
 ('15','38'),
 ('15','39'),
 ('15','40'),
 ('15','41'),
 ('15','42'),
 ('15','43'),
 ('15','44'),
 ('15','46'),
 ('15','48'),
 ('15','49'),
 ('15','50'),
 ('15','51'),
 ('15','52'),
 ('15','53'),
 ('15','54'),
 ('15','55'),
 ('15','56'),
 ('15','58'),
 ('15','60'),
 ('15','71'),
 ('17','0'),
 ('18','0'),
 ('30','0'),
 ('31','71'),
 ('66','0'),
 ('84','71'),
 ('85','71'),
 ('87','71'),
 ('102','71'),
 ('103','71'),
 ('134','60'),
 ('135','60'),
 ('145','0'),
 ('150','2'),
 ('150','3'),
 ('150','5'),
 ('150','6'),
 ('150','7'),
 ('150','9'),
 ('150','23'),
 ('150','25'),
 ('150','26'),
 ('155','71'),
 ('157','43'),
 ('158','71'),
 ('189','71'),
 ('201','35'),
 ('201','37'),
 ('201','38'),
 ('201','39'),
 ('201','40'),
 ('201','41'),
 ('201','42'),
 ('201','44'),
 ('201','46'),
 ('201','48'),
 ('201','56'),
 ('201','58'),
 ('202','71'),
 ('203','71'),
 ('204','71'),
 ('206','71'),
 ('211','71'),
 ('212','71'),
 ('213','71'),
 ('214','0'),
 ('216','0'),
 ('218','71'),
 ('219','71'),
 ('220','71'),
 ('221','71'),
 ('222','71'),
 ('223','71'),
 ('224','0'),
 ('225','71'),
 ('226','71'),
 ('227','57'),
 ('228','57'),
 ('229','57'),
 ('230','57'),
 ('231','57'),
 ('232','57'),
 ('233','57'),
 ('234','57'),
 ('235','57'),
 ('236','57'),
 ('237','57'),
 ('238','57'),
 ('239','0'),
 ('241','35'),
 ('241','37'),
 ('241','38'),
 ('241','39'),
 ('241','40'),
 ('241','41'),
 ('241','42'),
 ('241','44'),
 ('241','46'),
 ('241','48'),
 ('241','56'),
 ('241','58'),
 ('242','35'),
 ('242','37'),
 ('242','38'),
 ('242','39'),
 ('242','40'),
 ('242','41'),
 ('242','42'),
 ('242','44'),
 ('242','46'),
 ('242','48'),
 ('242','56'),
 ('242','58'),
 ('243','0'),
 ('244','35'),
 ('244','40'),
 ('244','41'),
 ('244','44'),
 ('244','58'),
 ('245','35'),
 ('246','71'),
 ('248','71');

# --------------------------------------------------------

#
# Table structure for table `#__newsfeeds`
#

CREATE TABLE `#__newsfeeds` (
  `catid` int(11) NOT NULL default '0',
  `id` int(11) NOT NULL auto_increment,
  `name` text NOT NULL,
  `link` text NOT NULL,
  `filename` varchar(200) default NULL,
  `published` tinyint(1) NOT NULL default '0',
  `numarticles` int(11) unsigned NOT NULL default '1',
  `cache_time` int(11) unsigned NOT NULL default '3600',
  `checked_out` tinyint(3) unsigned NOT NULL default '0',
  `checked_out_time` datetime NOT NULL default '0000-00-00 00:00:00',
  `ordering` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `published` (`published`)
) TYPE=MyISAM;

#
# Table structure for table `#__poll_data`
#

CREATE TABLE `#__poll_data` (
  `id` int(11) NOT NULL auto_increment,
  `pollid` int(4) NOT NULL default '0',
  `text` text NOT NULL,
  `hits` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `pollid` (`pollid`,`text`(1))
) TYPE=MyISAM;

#
# Table structure for table `#__poll_date`
#

CREATE TABLE `#__poll_date` (
  `id` bigint(20) NOT NULL auto_increment,
  `date` datetime NOT NULL default '0000-00-00 00:00:00',
  `vote_id` int(11) NOT NULL default '0',
  `poll_id` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `poll_id` (`poll_id`)
) TYPE=MyISAM;

#
# Table structure for table `#__polls`
#

CREATE TABLE `#__polls` (
  `id` int(11) unsigned NOT NULL auto_increment,
  `title` varchar(100) NOT NULL default '',
  `voters` int(9) NOT NULL default '0',
  `checked_out` int(11) NOT NULL default '0',
  `checked_out_time` datetime NOT NULL default '0000-00-00 00:00:00',
  `published` tinyint(1) NOT NULL default '0',
  `access` int(11) NOT NULL default '0',
  `lag` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;

#
# Table structure for table `#__poll_menu`
#

CREATE TABLE `#__poll_menu` (
  `pollid` int(11) NOT NULL default '0',
  `menuid` int(11) NOT NULL default '0',
  PRIMARY KEY  (`pollid`,`menuid`)
) TYPE=MyISAM;

#
# Table structure for table `#__sections`
#

CREATE TABLE `#__sections` (
  `id` int(11) NOT NULL auto_increment,
  `title` varchar(50) NOT NULL default '',
  `name` varchar(255) NOT NULL default '',
  `image` varchar(100) NOT NULL default '',
  `scope` varchar(50) NOT NULL default '',
  `image_position` varchar(10) NOT NULL default '',
  `description` text NOT NULL,
  `published` tinyint(1) NOT NULL default '0',
  `checked_out` int(11) unsigned NOT NULL default '0',
  `checked_out_time` datetime NOT NULL default '0000-00-00 00:00:00',
  `ordering` int(11) NOT NULL default '0',
  `access` tinyint(3) unsigned NOT NULL default '0',
  `count` int(11) NOT NULL default '0',
  `params` text NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `idx_scope` (`scope`)
) TYPE=MyISAM;

#
# Table structure for table `#__session`
#

CREATE TABLE `#__session` (
  `username` varchar(50) default '',
  `time` varchar(14) default '',
  `session_id` varchar(200) NOT NULL default '0',
  `guest` tinyint(4) default '1',
  `userid` int(11) default '0',
  `usertype` varchar(50) default '',
  `gid` tinyint(3) unsigned NOT NULL default '0',
  PRIMARY KEY  (`session_id`),
  KEY `whosonline` (`guest`,`usertype`)
) TYPE=MyISAM;

#
# Table structure for table `#__stats_agents`
#

CREATE TABLE `#__stats_agents` (
  `agent` varchar(255) NOT NULL default '',
  `type` tinyint(1) unsigned NOT NULL default '0',
  `hits` int(11) unsigned NOT NULL default '1'
) TYPE=MyISAM;

#
# Table structure for table `#__templates_menu`
#

CREATE TABLE `#__templates_menu` (
  `template` varchar(50) NOT NULL default '',
  `menuid` int(11) NOT NULL default '0',
  `client_id` tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (`template`,`menuid`)
) TYPE=MyISAM;

# Dumping data for table `#__templates_menu`

insert into `#__templates_menu` values('joomla_admin','0','1'),
 ('rt_mediamogul','0','0');

# --------------------------------------------------------

#
# Table structure for table `#__template_positions`
#

CREATE TABLE `#__template_positions` (
  `id` int(11) NOT NULL auto_increment,
  `position` varchar(10) NOT NULL default '',
  `description` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;

#
# Dumping data for table `#__template_positions`
#

insert into `#__template_positions` values('1','left',''),
 ('2','right',''),
 ('3','top',''),
 ('4','bottom',''),
 ('5','inset',''),
 ('6','banner',''),
 ('7','header',''),
 ('8','footer',''),
 ('9','newsflash',''),
 ('10','legals',''),
 ('11','pathway',''),
 ('12','toolbar',''),
 ('13','cpanel',''),
 ('14','user1',''),
 ('15','user2',''),
 ('16','user3',''),
 ('17','user4',''),
 ('18','user5',''),
 ('19','user6',''),
 ('20','user7',''),
 ('21','user8',''),
 ('22','user9',''),
 ('23','advert1',''),
 ('24','advert2',''),
 ('25','advert3',''),
 ('26','icon',''),
 ('27','debug',''),
 ('28','user10',''),
 ('29','user11',''),
 ('30','search',''),
 ('31','user12',''),
 ('32','user13',''),
 ('33','user14',''),
 ('34','user15',''),
 ('35','user16',''),
 ('36','user17','');
# --------------------------------------------------------

#
# Table structure for table `#__users`
#

CREATE TABLE `#__users` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(50) NOT NULL default '',
  `username` varchar(25) NOT NULL default '',
  `email` varchar(100) NOT NULL default '',
  `password` varchar(100) NOT NULL default '',
  `usertype` varchar(25) NOT NULL default '',
  `block` tinyint(4) NOT NULL default '0',
  `sendEmail` tinyint(4) default '0',
  `gid` tinyint(3) unsigned NOT NULL default '1',
  `registerDate` datetime NOT NULL default '0000-00-00 00:00:00',
  `lastvisitDate` datetime NOT NULL default '0000-00-00 00:00:00',
  `activation` varchar(100) NOT NULL default '',
  `params` text NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `usertype` (`usertype`),
  KEY `idx_name` (`name`)
) TYPE=MyISAM;

#
# Table structure for table `#__usertypes`
#

CREATE TABLE `#__usertypes` (
  `id` tinyint(3) unsigned NOT NULL default '0',
  `name` varchar(50) NOT NULL default '',
  `mask` varchar(11) NOT NULL default '',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;

#
# Dumping data for table `#__usertypes`
#

INSERT INTO `#__usertypes` VALUES (0, 'superadministrator', '');
INSERT INTO `#__usertypes` VALUES (1, 'administrator', '');
INSERT INTO `#__usertypes` VALUES (2, 'editor', '');
INSERT INTO `#__usertypes` VALUES (3, 'user', '');
INSERT INTO `#__usertypes` VALUES (4, 'author', '');
INSERT INTO `#__usertypes` VALUES (5, 'publisher', '');
INSERT INTO `#__usertypes` VALUES (6, 'manager', '');
# --------------------------------------------------------

#
# Table structure for table `#__weblinks`
#

CREATE TABLE `#__weblinks` (
  `id` int(11) unsigned NOT NULL auto_increment,
  `catid` int(11) NOT NULL default '0',
  `sid` int(11) NOT NULL default '0',
  `title` varchar(250) NOT NULL default '',
  `url` varchar(250) NOT NULL default '',
  `description` varchar(250) NOT NULL default '',
  `date` datetime NOT NULL default '0000-00-00 00:00:00',
  `hits` int(11) NOT NULL default '0',
  `published` tinyint(1) NOT NULL default '0',
  `checked_out` int(11) NOT NULL default '0',
  `checked_out_time` datetime NOT NULL default '0000-00-00 00:00:00',
  `ordering` int(11) NOT NULL default '0',
  `archived` tinyint(1) NOT NULL default '0',
  `approved` tinyint(1) NOT NULL default '1',
  `params` text NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `catid` (`catid`,`published`,`archived`)
) TYPE=MyISAM;

#
# Table structure for table `#__core_acl_aro`
#

CREATE TABLE `#__core_acl_aro` (
  `aro_id` int(11) NOT NULL auto_increment,
  `section_value` varchar(240) NOT NULL default '0',
  `value` varchar(240) NOT NULL default '',
  `order_value` int(11) NOT NULL default '0',
  `name` varchar(255) NOT NULL default '',
  `hidden` int(11) NOT NULL default '0',
  PRIMARY KEY  (`aro_id`),
  UNIQUE KEY `#__gacl_section_value_value_aro` (`section_value`(100),`value`(100)),
  KEY `#__gacl_hidden_aro` (`hidden`)
) TYPE=MyISAM;

#
# Table structure for table `#__core_acl_aro_groups`
#
CREATE TABLE `#__core_acl_aro_groups` (
  `group_id` int(11) NOT NULL auto_increment,
  `parent_id` int(11) NOT NULL default '0',
  `name` varchar(255) NOT NULL default '',
  `lft` int(11) NOT NULL default '0',
  `rgt` int(11) NOT NULL default '0',
  PRIMARY KEY  (`group_id`),
  KEY `parent_id_aro_groups` (`parent_id`),
  KEY `#__gacl_parent_id_aro_groups` (`parent_id`),
  KEY `#__gacl_lft_rgt_aro_groups` (`lft`,`rgt`)
) TYPE=MyISAM;

#
# Dumping data for table `#__core_acl_aro_groups`
#
INSERT INTO `#__core_acl_aro_groups` VALUES (17,0,'ROOT',1,22);
INSERT INTO `#__core_acl_aro_groups` VALUES (28,17,'USERS',2,21);
INSERT INTO `#__core_acl_aro_groups` VALUES (29,28,'Public Frontend',3,12);
INSERT INTO `#__core_acl_aro_groups` VALUES (18,29,'Registered',4,11);
INSERT INTO `#__core_acl_aro_groups` VALUES (19,18,'Author',5,10);
INSERT INTO `#__core_acl_aro_groups` VALUES (20,19,'Editor',6,9);
INSERT INTO `#__core_acl_aro_groups` VALUES (21,20,'Publisher',7,8);
INSERT INTO `#__core_acl_aro_groups` VALUES (30,28,'Public Backend',13,20);
INSERT INTO `#__core_acl_aro_groups` VALUES (23,30,'Manager',14,19);
INSERT INTO `#__core_acl_aro_groups` VALUES (24,23,'Administrator',15,18);
INSERT INTO `#__core_acl_aro_groups` VALUES (25,24,'Super Administrator',16,17);

#
# Table structure for table `#__core_acl_groups_aro_map`
#
CREATE TABLE `#__core_acl_groups_aro_map` (
  `group_id` int(11) NOT NULL default '0',
  `section_value` varchar(240) NOT NULL default '',
  `aro_id` int(11) NOT NULL default '0',
  UNIQUE KEY `group_id_aro_id_groups_aro_map` (`group_id`,`section_value`,`aro_id`)
) TYPE=MyISAM;

#
# Table structure for table `#__core_acl_aro_sections`
#
CREATE TABLE `#__core_acl_aro_sections` (
  `section_id` int(11) NOT NULL auto_increment,
  `value` varchar(230) NOT NULL default '',
  `order_value` int(11) NOT NULL default '0',
  `name` varchar(230) NOT NULL default '',
  `hidden` int(11) NOT NULL default '0',
  PRIMARY KEY  (`section_id`),
  UNIQUE KEY `value_aro_sections` (`value`),
  UNIQUE KEY `#__gacl_value_aro_sections` (`value`),
  KEY `hidden_aro_sections` (`hidden`),
  KEY `#__gacl_hidden_aro_sections` (`hidden`)
) TYPE=MyISAM;

INSERT INTO `#__core_acl_aro_sections` VALUES (10,'users',1,'Users',0);
