<?php
/**
* @version 2.1 RokSlideshow
* @package RocketWerx
* @copyright Copyright (C) 2007 RocketWerx. All rights reserved.
* @license http://www.gnu.org/copyleft/gpl.html GNU/GPL, see LICENSE.php
* 
*/

// no direct access
defined( '_VALID_MOS' ) or die( 'Restricted access' );

$imagePath 	= cleanDir($params->get( 'imagePath', 'images/stories/fruit' ));
$showCaption 	= $params->get( 'showCaption', 1 );
$heightCaption = $params->get('heightCaption', 45);
$width = $params->get( 'width', 400 );
$height = $params->get( 'height', 300 );
$altTag = $params->get( 'altTag', 'RokSlideshow - http://www.rocketwerx.com' );
$imageDuration = $params->get( 'imageDuration', 9000 );
$transDuration = $params->get( 'transDuration', 2000);
$transType = $params->get( 'transType', 'combo');
$transition = $params->get( 'transition', 'Expo.easeOut');
$pan = $params->get( 'pan', 50);
$zoom = $params->get( 'zoom', 50);
$jslib = $params->get( 'jslib', 1);
$sortCriteria = $params->get( 'sortCriteria', 0);
$sortOrder = $params->get( 'sortOrder', 'asc');
$sortOrderManual = $params->get( 'sortOrderManual', '');
$imageResize = $params->get( 'imageResize', 1);
$titleSize = $params->get( 'titleSize', '13px');
$titleColor = $params->get( 'titleColor', '#fff');
$descSize = $params->get( 'descSize', '11px');
$descColor = $params->get( 'descColor', '#ccc');

if (trim($sortOrderManual) != "")
	$images = explode(",", $sortOrderManual);
else
	$images = imageList($imagePath, $sortCriteria, $sortOrder);
	
if (count($images) > 0) {
	if ($jslib == 1) {
		echo '<script src="modules/rokslideshow/mootools.js" type="text/javascript"></script>' . "\n";
	}
  echo '<script src="modules/rokslideshow/slideshow.js" type="text/javascript"></script>' . "\n";
?>
	<div id="slidewrap">
	<div id="slideshow"></div>
	<div id="loadingDiv"></div>
	</div>
	<script type="text/javascript">
		window.addEvent('load', function(){
				var imgs = [];

				<?php foreach($images as $img) { 
					$info = getInfo($imagePath, $img);
					?>
					imgs.push({
						file: '<?php echo $img; ?>',
						<?php if ($showCaption==1) { ?>
						title: '<?php echo(trim($info[0])); ?>',
						desc: '<?php echo(trim($info[2])); ?>',
						url: '<?php echo(trim($info[1])); ?>'
					  <?php } else { ?>
						title: '',
						desc: '',
						url: ''
						<?php } ?>
					});
				<?php } ?>
				
				var myshow = new Slideshow('slideshow', { 
					type: '<?php echo $transType; ?>',
					captionHeight: <?php echo $heightCaption; ?>,
					width: <?php echo $width; ?>, 
					height: <?php echo $height; ?>, 
					pan: <?php echo $pan; ?>,
					zoom: <?php echo $zoom; ?>,
					resize: <?php echo($imageResize==1?'true':'false'); ?>,
					duration: [<?php echo $transDuration; ?>, <?php echo $imageDuration; ?>],
					transition: Fx.Transitions.<?php echo $transition; ?>,
					images: imgs, 
					path: '<?php echo $imagePath; ?>'
				});
				
				myshow.caps.h2.setStyles({
					color: '<?php echo $titleColor; ?>',
					fontSize: '<?php echo $titleSize; ?>'
				});
				myshow.caps.p.setStyles({
					color: '<?php echo $descColor; ?>',
					fontSize: '<?php echo $descSize; ?>'
				});
			});
		</script>
<?php
}

//helper functions
function imageList ($directory, $sortcriteria, $sortorder) {
    $results = array();
    $handler = opendir($directory);
		$i = 0;
    while ($file = readdir($handler)) {
        if ($file != '.' && $file != '..' && isImage($file)) {
					$results[$i][0] = $file;
					$results[$i][1] = filemtime($directory . "/" .$file);
					$i++;
				}
    }
    closedir($handler);

		//these lines sort the contents of the directory by the date
		// Obtain a list of columns
		
		foreach($results as $res) {
			if ($sortcriteria == 0 ) $sortAux[] = $res[0];
			else $sortAux[] = $res[1];
		}
		
		if ($sortorder == 0) {
			array_multisort($sortAux, SORT_ASC, $results);
		} elseif ($sortorder == 2) {
			srand((float)microtime() * 1000000);
			shuffle($results);
		} else {
			array_multisort($sortAux, SORT_DESC, $results);
		}
		
		foreach($results as $res) {
			$sorted_results[] = $res[0];
		}

    return $sorted_results;
}

function getInfo($imagePath, $file) {
		global $iso_client_lang;

		$langext = "";
		$fileext= ".txt";
		
		if (isset($iso_client_lang) && strlen($iso_client_lang)>1) $langext = "." . $iso_client_lang;

		$file_noext = substr($file, 0, strrpos($file,"."));
		$info = array();

		$infofile = $imagePath . $file_noext . $langext . $fileext;

		if (!file_exists($infofile)) $infofile = $imagePath . $file_noext . $fileext;
		if (file_exists($infofile)) {
			$imginfo = file ($infofile);
			foreach ($imginfo as $line) {
				$info[] = addslashes($line);
			}
			return $info;
		}
		return array('','#','');
}

function isImage($file) {
	$imagetypes = array(".jpg", ".jpeg", ".gif", ".png");
	$extension = substr($file,strrpos($file,"."));
	if (in_array($extension, $imagetypes)) return true;
	else return false;
}

function cleanDir($dir) {
	if (substr($dir, -1, 1) == '/')
		return $dir;
	else
		return $dir . "/";
}

?>